<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <title>Päivystäjä</title>
        <link rel="stylesheet" type="text/css" href="jquery-ui.min.css">
        <style>
            @font-face {
                font-family: 'Sen';
                src: url('assets/Sen-Regular.ttf') format('truetype');
                font-weight: 400;
            }
            @font-face {
                font-family: 'Sen';
                src: url('assets/Sen-Bold.ttf') format('truetype');
                font-weight: bold;
            }
            @font-face {
                font-family: 'Sen';
                src: url('assets/Sen-ExtraBold.ttf') format('truetype');
                font-weight: 800;
            }
            body {
                overflow: hidden;
                margin: 0px;
                padding: 0px;
                font-family: 'Sen', sans-serif;
                background: #000000;
            }
            #content {
                position: fixed;
                top: calc(50vh - 225px);
                left: calc(50vw - 400px);
                width: 800px;
                height: 450px;
                background-image: url('assets/m05.jpg');
                border-radius: 15px;
            }
            .strength {
                width: 70px;
                height: 50px;
                position: absolute;
                color: #ffffff;
                font-size: 64px;
                font-weight: bold;
                text-align: center;
            }
            .btn {
                display: block;
                position: absolute;
                width: 30px;
                height: 30px;
                background-color: rgba(255,255,255,0.2);
                border-radius: 50%;
                cursor: pointer;
            }
            .btn.st-add {
                background-image: url('assets/add.png');
                background-size: contain;
                background-position: center;
            }
            .btn.st-remove {
                background-image: url('assets/remove.png');
                background-size: contain;
                background-position: center;
            }
            .btn:hover {
                background-color: rgba(255,255,255,0.3);
            }
        </style>
        <script src="jquery-3.1.1.min.js"></script>
        <script src="jquery-ui.min.js"></script>
        <script src="nakki.js?<?php echo time(); ?>"></script>
    </head>
    <body>
        
        <div id="content">
            
            <canvas id="_particles" width="800" height="450"></canvas>
            
            <img src="assets/kok.svg" style="width: 70px; filter: grayscale(0%); position: absolute; top: 50px; left: 50px;">
            <img src="assets/alik.svg" style="width: 70px; filter: grayscale(0%); position: absolute; top: 50px; left: 150px;">
            <img src="assets/kjaak.svg" style="width: 50px; filter: grayscale(0%); position: absolute; top: 80px; left: 260px;">
            
            
            <div class="strength" style="top: 240px; left: 50px;" data-strength="kok">0</div>
            <div class="strength" style="top: 240px; left: 150px;" data-strength="alik">0</div>
            <div class="strength" style="top: 240px; left: 246px;" data-strength="kjaak">0</div>
            
            <div class="btn st-remove" style="top: 320px; left: 50px;" data-strength="kok"></div>
            <div class="btn st-add" style="top: 320px; left: 85px;" data-strength="kok"></div>
            
            <div class="btn st-remove" style="top: 320px; left: 150px;" data-strength="alik"></div>
            <div class="btn st-add" style="top: 320px; left: 185px;" data-strength="alik"></div>
            
            <div class="btn st-remove" style="top: 320px; left: 250px;" data-strength="kjaak"></div>
            <div class="btn st-add" style="top: 320px; left: 285px;" data-strength="kjaak"></div>
            
        </div>
        
    </body>
</html>
