let canvas, ctx;
let objs = [];

let sprites = {};

$(document).ready(function(){
    
    canvas = $('#_particles')[0];
    ctx = canvas.getContext('2d');
    
    sprites['kok'] = new Image();
    sprites['kok'].src = 'assets/kok.svg';
    
    sprites['alik'] = new Image();
    sprites['alik'].src = 'assets/alik.svg';
    
    sprites['kjaak'] = new Image();
    sprites['kjaak'].src = 'assets/kjaak.svg';
    
    let updateScale = () => {
        
        let _scale = 0;
        
        if (window.innerWidth/window.innerHeight >= 16/9) {
            _scale = 450/window.innerHeight;
        } else {
            _scale = 800/window.innerWidth;
        }
        
        _scale = 1/_scale;
        
        $('#content').css('transform', 'scale('+_scale+')');
        
    }
    
    updateScale();
    $(window).resize(updateScale);
    
    $('.btn').click(function(){
        let orig = parseInt($('.strength[data-strength="'+$(this).attr('data-strength')+'"]').text());
        if ($(this).is('.st-add')) {
            $('.strength[data-strength="'+$(this).attr('data-strength')+'"]').text(orig+1);
            objs.push(new Particle($(this).attr('data-strength'), Math.random()*900, 0))
        } else if ($(this).is('.st-remove')) {
            $('.strength[data-strength="'+$(this).attr('data-strength')+'"]').text(orig-1);
        }
    });
    
    
    let render = () => {
        
        ctx.clearRect(0, 0, 800, 450, 50, 100);
        
        for (let o of objs) {
            o.render();
        }
        
        window.requestAnimationFrame(render);
        
    }
    
    window.requestAnimationFrame(render);
    setInterval(() => {
        
        for (let o of objs) {
            o.update();
        }
        
    }, 1000/60);
    
});


function Particle(sprite, x, y) {
    
    this.sprite = sprite;
    
    this.x = x;
    this.y = y;
    
    this.speedX = -2 + Math.random()*4;
    this.speedY = -2;
    
    this.gravity = 0.1;
    
    this.render = () => {
        
        ctx.drawImage(sprites[this.sprite], this.x, this.y, 30, 90);
        
    }
    
    this.update = () => {
        
        this.x += this.speedX;
        this.y += this.speedY;
        
        this.speedY += this.gravity
        
    }
    
}
